### Method

# Snapd MarkdownParser parse

since: 1.48

#### Declaration [src]

    GPtrArray*
    snapd_markdown_parser_parse (
      SnapdMarkdownParser* parser,
      const gchar* text
    )

#### Description [src]

Convert text in snapd markdown format to markup.

Available since: 1.48

#### Parameters

`text`

  Type: `const gchar*`

  Text to parse.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `None`

Text split into blocks.

The caller of the method takes ownership of the returned data container, but not the data inside it.